IntegrationSpecConfigurerExtension (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.test.spock
[Groovy] Class IntegrationSpecConfigurerExtension

    java.lang.Object
      org.spockframework.runtime.extension.AbstractAnnotationDrivenExtension
          org.codehaus.groovy.grails.test.spock.IntegrationSpecConfigurerExtension

    @groovy.transform.CompileStatic
    class IntegrationSpecConfigurerExtension
    extends org.spockframework.runtime.extension.AbstractAnnotationDrivenExtension

Spock extension that can be applied to Integration tests to make them Grails aware

Authors:
  Graeme Rocher

Since:
  2.3

Nested Class Summary
`class` | `IntegrationSpecConfigurerExtension.IntegrationSpecMethodInterceptor`

Method Summary
`void` | `visitSpecAnnotation(java.lang.annotation.Annotation annotation, org.spockframework.runtime.model.SpecInfo spec)`

Methods inherited from class org.spockframework.runtime.extension.AbstractAnnotationDrivenExtension
org.spockframework.runtime.extension.AbstractAnnotationDrivenExtension#visitSpec(org.spockframework.runtime.model.SpecInfo), org.spockframework.runtime.extension.AbstractAnnotationDrivenExtension#visitFixtureAnnotation(java.lang.annotation.Annotation, org.spockframework.runtime.model.MethodInfo), org.spockframework.runtime.extension.AbstractAnnotationDrivenExtension#visitFieldAnnotation(java.lang.annotation.Annotation, org.spockframework.runtime.model.FieldInfo), org.spockframework.runtime.extension.AbstractAnnotationDrivenExtension#visitFeatureAnnotation(java.lang.annotation.Annotation, org.spockframework.runtime.model.FeatureInfo), org.spockframework.runtime.extension.AbstractAnnotationDrivenExtension#visitSpecAnnotation(java.lang.annotation.Annotation, org.spockframework.runtime.model.SpecInfo), org.spockframework.runtime.extension.AbstractAnnotationDrivenExtension#wait(long, int), org.spockframework.runtime.extension.AbstractAnnotationDrivenExtension#wait(long), org.spockframework.runtime.extension.AbstractAnnotationDrivenExtension#wait(), org.spockframework.runtime.extension.AbstractAnnotationDrivenExtension#equals(java.lang.Object), org.spockframework.runtime.extension.AbstractAnnotationDrivenExtension#toString(), org.spockframework.runtime.extension.AbstractAnnotationDrivenExtension#hashCode(), org.spockframework.runtime.extension.AbstractAnnotationDrivenExtension#getClass(), org.spockframework.runtime.extension.AbstractAnnotationDrivenExtension#notify(), org.spockframework.runtime.extension.AbstractAnnotationDrivenExtension#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### visitSpecAnnotation

    @java.lang.Override
    void visitSpecAnnotation(java.lang.annotation.Annotation annotation, org.spockframework.runtime.model.SpecInfo spec)

Groovy Documentation